export const apps = [
    {
        divider: false,
        section: 'Crm',
        type: ['crm', 'ecommerce'],
    },
    {
        title: 'Dashboard',
        icon: 'mdi-view-dashboard',
        url: '/dashboard/#/',
        modules: [],
        slug: 'dash',
        color: 'blue',
        type: ['crm'],
    },
    {
        title: 'Cuentas',
        icon: 'mdi-account-group',
        url: '/accounts/#/',
        modules: ['users:Usuarios', 'groups:Grupos', 'roles:Roles'],
        slug: 'users',
        color: 'blue',
        type: ['crm', 'ecommerce'],
    },
    {
        title: 'Campañas',
        icon: 'mdi-bookmark',
        url: '/campaigns/#/',
        color: 'blue',
        apps: [],
        slug: 'campaigns',
        type: ['crm'],
    },
    {
        title: 'Leads',
        icon: 'mdi-filter',
        url: '/leads/#/',
        modules: ['leads:Leads', 'referidos:Referidos', 'status:Estatus'],
        slug: 'leads',
        color: 'blue',
        type: ['crm'],
    },
    {
        title: 'Formularios',
        icon: 'mdi-comment-text',
        url: '/mforms/#/',
        modules: ['messages:Mensajes', 'forms:Formularios'],
        slug: 'forms',
        color: 'blue',
        type: ['crm'],
    },

    {
        divider: true,
        section: 'Ecommerce',
        type: ['ecommerce'],
    },
    {
        title: 'Llantas',
        icon: 'mdi-car',
        url: '/tires/#/',
        color: 'blue',
        modules: [],
        slug: 'car',
        type: ['ecommerce'],
    },
    {
        title: 'Ordenes',
        icon: 'mdi-clipboard-text',
        url: '/orders/#/',
        color: 'teal',
        modules: [],
        slug: 'car',
        type: ['ecommerce'],
    },
    {
        title: 'Clientes',
        icon: 'mdi-account-multiple',
        url: '/clients/#/',
        color: 'green',
        modules: [],
        slug: 'car',
        type: ['ecommerce'],
    },
    {
        title: 'Productos',
        icon: 'mdi-package-variant-closed',
        url: '/products/#/',
        color: 'orange',
        modules: [],
        slug: 'car',
        type: ['ecommerce'],
    },
];

export const filterApps = (listApps: any[], permisions: string[]) => {
    return listApps.filter((app) => {
        const admin = permisions.indexOf('admin');
        if (admin >= 0) {
            return app;
        } else {
            if (!app.slug) {
                return app;
            }
            const add = permisions.indexOf(app.slug);
            if (add >= 0) {
                return app;
            }
        }
    });
};

export const filterForTypes = (types: string[]) => (doc: { type: string[] }) =>
    doc.type.map((r) => types.indexOf(r) > -1).some((v) => v === true);
