export interface IDialogButtons {
    text: string;
    color?: string;
    handler?: (done: (error?: any) => void, values: any) => any;
}
export interface IInputSelect {
    [key: string]: any;
    id: string | number | boolean;
    icon?: string;
    name: any;
    dark?: boolean;
    color?: any;
    key?: string;
}
export interface IFormInputs {
    name: string;
    label?: string;
    placeholder?: string;
    class?: string[];
    number?: boolean;
    items?: IInputSelect[];
    textItem?: string;
    multiple?: boolean;
    icon?: string;
    iconLabel?: string;
    mask?: string;
    counter?: number;
    outlined?: boolean;
    rounded?: boolean;
    solo?: boolean;
    singleLine?: boolean;
    shaped?: boolean;
    filled?: boolean;
    clearable?: boolean;
    loading?: boolean;
    flat?: boolean;
    chips?: boolean;
    slotSelection?: boolean;
    slotItem?: boolean;
    slotLabel?: boolean;
    color?: string;
    value?: string;
    type:
        | 'text'
        | 'color'
        | 'textarea'
        | 'select'
        | 'autocomplete'
        | 'checkbox'
        | 'radioGroup'
        | 'switch'
        | 'password';
    handler?: (value: any) => any;
    showPass?: boolean;
    rules: any[];
    default?: string;
}
export interface IVueDialog {
    title?: string;
    dividerHeader?: boolean;
    dividerAction?: boolean;
    width?: number;
    class?: string[];
    persistent?: boolean | undefined;
    message?: string;
    buttons: Array<string | IDialogButtons>;
    inputs?: IFormInputs[];
}
