import Vue from 'vue';
import { value, onBeforeMount, computed } from 'vue-function-api';

export const drawerResponsive = (parent: Vue) => {
    const drawer = value(true);
    onBeforeMount(() => {
        if (parent.$vuetify.breakpoint.lgAndUp) {
            drawer.value = true;
        } else {
            drawer.value = false;
        }
    });

    return {
        drawer,
    };
};

export const isMobile = (parent: Vue) => {
    const isM = computed(() =>
        parent.$vuetify.breakpoint.xsOnly ? true : false,
    );
    return {
        isMobile: isM,
    };
};
